version: "3.7"
services:
  sandboxpbbapp:
    build:
      context: ./
      dockerfile: Dockerfile
    image: sandboxpbb-app
    container_name: sandboxpbb-app-live
    volumes:
      - /bapenda/storage_sandboxpbb:/var/www/html/sandboxpbb/storage/app:rw
    ports:
      - "127.0.0.1:7900:80"
    restart: always
    environment:
      APP_ENV: "dev"
      APP_DEBUG: "true"
      APP_URL : "http://esppt.id/sandboxpbb"
      WKHTML_PDF_BINARY: "/usr/local/bin/wkhtmltopdf"
      WKHTML_IMG_BINARY: "/usr/local/bin/wkhtmltoimage"
      DB_CONNECTION: "oracle"
      DB_TNS: "(DESCRIPTION = (ADDRESS = (PROTOCOL = TCP)(HOST = 192.168.1.210)(PORT = 1521)) (CONNECT_DATA = (SERVER = DEDICATED)(SERVICE_NAME = opdb210)))"
      DB_HOST: "192.168.1.210"
      DB_DATABASE: "sim_pbb"
      DB_SERVICENAME: "opdb210"
      DB_USERNAME: "sim_pbb"
      DB_PASSWORD: "B4p3nd4PBB210_"
      DB_CONNECTION_DUA: "oracle_dua"
      DB_TNS_DUA: "(DESCRIPTION = (ADDRESS = (PROTOCOL = TCP)(HOST = 192.168.1.210)(PORT = 1521)) (CONNECT_DATA = (SERVER = DEDICATED)(SERVICE_NAME = opdb210)))"
      DB_HOST_DUA: "192.168.1.210"
      DB_DATABASE_DUA: "pbb"
      DB_SERVICENAME_DUA: "opdb210"
      DB_USERNAME_DUA: "pbb"
      DB_PASSWORD_DUA: "B4p3nd4PBB210_"
      DB_CONNECTION_SPO: "oracle_spo"
      DB_TNS_SPO: "(DESCRIPTION = (ADDRESS = (PROTOCOL = TCP)(HOST = 192.168.1.210)(PORT = 1521)) (CONNECT_DATA = (SERVER = DEDICATED)(SERVICE_NAME = opdb210)))"
      DB_HOST_SPO: "192.168.1.210"
      DB_DATABASE_SPO: "pbb"
      DB_SERVICENAME_SPO: "opdb210"
      DB_USERNAME_SPO: "spo"
      DB_PASSWORD_SPO: "B4p3nd4PBB210_"
      DB_CONNECTION_ST: "oracle_satutujuh"
      DB_TNS_ST: "(DESCRIPTION = (ADDRESS = (PROTOCOL = TCP)(HOST = 192.168.1.210)(PORT = 1521)) (CONNECT_DATA = (SERVER = DEDICATED)(SERVICE_NAME = opdb210)))"
      DB_HOST_ST: "192.168.1.210"
      DB_DATABASE_ST: "pbb"
      DB_SERVICENAME_ST: "opdb210"
      DB_USERNAME_ST: "pbb"
      DB_PASSWORD_ST: "B4p3nd4PBB210_"
      BASE_URL_SIMBPHTB: "https://bphtb-bapenda.malangkab.go.id/sandbox"
      USERNAME_SIMBPHTB: "simpbb_sandbox@sipanji.id"
      PASSWORD_SIMBPHTB: "s4nb0xpbb"
    networks:
      - sandboxpbbnet
      
networks:
  sandboxpbbnet: